## rock-master-20.01-simulation-mars-gui 0.20200128

=== CMakeLists.txt ===
project(mars_gui)
set(PROJECT_VERSION 1.0)
set(PROJECT_DESCRIPTION "This library is a GUI based in the main_gui for MARS.")
cmake_minimum_required(VERSION 2.6)

include(FindPkgConfig)

find_package(lib_manager)
lib_defaults()
define_module_info()

set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR} "${PROJECT_SOURCE_DIR}/cmake")

MACRO(CMAKE_USE_FULL_RPATH install_rpath)
    SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
    SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 
    SET(CMAKE_INSTALL_RPATH ${install_rpath})
    SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
ENDMACRO(CMAKE_USE_FULL_RPATH)
CMAKE_USE_FULL_RPATH("${CMAKE_INSTALL_PREFIX}/lib")


pkg_check_modules(PKGCONFIG REQUIRED
			    lib_manager
			    data_broker
			    main_gui
			    cfg_manager
			    mars_interfaces
			    opencv
          configmaps
)

include_directories(${PKGCONFIG_INCLUDE_DIRS})
link_directories(${PKGCONFIG_LIBRARY_DIRS})
add_definitions(${PKGCONFIG_CFLAGS_OTHER})  #not the ones starting with -I

find_package(OpenSceneGraph REQUIRED osgManipulator osgViewer osgFX osgShadow osgParticle osgTerrain osgDB osgGA osgText osgUtil)
include_directories(${OPENSCENEGRAPH_INCLUDE_DIRS})
link_directories(${OPENSCENEGRAPH_LIBRARY_DIRS})

setup_qt()
if (${USE_QT5})
  QT5_ADD_RESOURCES(MARSGuiResources resources/mars.qrc)
  set(PUBLIC_DEPENDECIES Qt5Widgets)
else()
  QT4_ADD_RESOURCES(MARSGuiResources resources/mars.qrc)
  set(PUBLIC_DEPENDENCIES "QtCore QtGui")
endif()


include_directories(
        src 
        src/menus
        src/dialogs
        src/dialogs/CameraConfig
        src/dialogs/CaptureWindow
)


include_directories( ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/src )


set(HEADERS 
        src/ControllerHandler.h
        src/MainGUIDefs.h
        src/MarsGui.h
        #src/MarsStyle.h
        src/SelectionDialog.h
        src/NodeSelectionTree.h

        src/dialogs/AboutDialog.h 
        src/dialogs/BlenderExportGUI.h
        src/dialogs/ControllerConfigGUI.h
        src/dialogs/Dialog_Add_Force.h 
        src/dialogs/Dialog_Add_Torque.h 
        src/dialogs/Dialog_Motor_Control.h 
        src/dialogs/Dialog_Rescale_Environment.h 
        src/dialogs/DialogControllers.h
        src/dialogs/DialogDistance.h
        
        src/dialogs/CameraConfig/CameraConfig.h
        src/dialogs/CameraConfig/CameraConfigurator.h
        src/dialogs/CameraConfig/CameraConfiguratorGUI.h
        
        src/dialogs/CaptureWindow/CaptureConfig.h
        src/dialogs/CaptureWindow/CaptureGUI.h
        src/dialogs/CaptureWindow/CaptureWindow.h
        src/dialogs/CaptureWindow/ImageProcess.h
        
        src/menus/MenuFile.h
        src/menus/MenuAdd.h
        src/menus/MenuHelp.h
        src/menus/MenuSimulation.h
        src/menus/MenuWindow.h
)

set(QT_MOC_HEADER
        src/ControllerHandler.h
        #src/MarsStyle.h
        src/SelectionDialog.h
        src/NodeSelectionTree.h

        src/dialogs/AboutDialog.h 
        src/dialogs/BlenderExportGUI.h
        src/dialogs/ControllerConfigGUI.h
        src/dialogs/Dialog_Add_Force.h 
        src/dialogs/Dialog_Add_Torque.h 
        src/dialogs/Dialog_Motor_Control.h 
        src/dialogs/Dialog_Rescale_Environment.h 
        src/dialogs/DialogControllers.h
        src/dialogs/DialogDistance.h

        src/dialogs/CameraConfig/CameraConfigurator.h
        src/dialogs/CameraConfig/CameraConfiguratorGUI.h

        src/dialogs/CaptureWindow/CaptureConfig.h
        src/dialogs/CaptureWindow/CaptureGUI.h
        src/dialogs/CaptureWindow/CaptureWindow.h

        src/menus/MenuSimulation.h
        src/menus/MenuWindow.h
        src/menus/MenuAdd.h
)
 
if (${USE_QT5})
qt5_wrap_cpp ( QT_MOC_HEADER_SRC ${QT_MOC_HEADER} )
else (${USE_QT5})
qt4_wrap_cpp ( QT_MOC_HEADER_SRC ${QT_MOC_HEADER} )
endif (${USE_QT5})

set(TARGET_SRC 
            ${QT_MOC_HEADER_SRC} 
            src/ControllerHandler.cpp
            src/MarsGui.cpp
            #src/MarsStyle.cpp
            src/SelectionDialog.cpp
            src/NodeSelectionTree.cpp

            src/dialogs/AboutDialog.cpp 
            src/dialogs/BlenderExportGUI.cpp
            src/dialogs/ControllerConfigGUI.cpp
            src/dialogs/Dialog_Add_Force.cpp 
            src/dialogs/Dialog_Add_Torque.cpp 
            src/dialogs/Dialog_Motor_Control.cpp 
            src/dialogs/Dialog_Rescale_Environment.cpp 
            src/dialogs/DialogControllers.cpp
            src/dialogs/DialogDistance.cpp

            src/dialogs/CameraConfig/CameraConfig.cpp
            src/dialogs/CameraConfig/CameraConfigurator.cpp
            src/dialogs/CameraConfig/CameraConfiguratorGUI.cpp

            src/dialogs/CaptureWindow/CaptureConfig.cpp
            src/dialogs/CaptureWindow/CaptureGUI.cpp
            src/dialogs/CaptureWindow/CaptureWindow.cpp
            src/dialogs/CaptureWindow/ImageProcess.cpp

            src/menus/MenuFile.cpp
            src/menus/MenuAdd.cpp
            src/menus/MenuHelp.cpp
            src/menus/MenuWindow.cpp
            src/menus/MenuSimulation.cpp
)

ADD_LIBRARY(${PROJECT_NAME} SHARED ${TARGET_SRC} ${MARSGuiResources})

if (${USE_QT5})
qt5_use_modules(${PROJECT_NAME} Widgets)
endif (${USE_QT5})

IF (WIN32)
  set(WIN_LIBS -lwsock32 -lwinmm -lpthread)
#  SET_TARGET_PROPERTIES(mars PROPERTIES LINK_FLAGS -Wl,--stack,0x1000000)
ENDIF (WIN32)


IF(APPLE)
  TARGET_LINK_LIBRARIES(${PROJECT_NAME}
                        ${QT_LIBRARIES}
                        ${QT_QTXML_LIBRARY}
                        ${QT_QTOPENGL_LIBRARIES} 
                        ${PKGCONFIG_LIBRARIES}
                        ${WIN_LIBS}
                        ${OPENSCENEGRAPH_LIBRARIES}
                       -L/opt/local/lib opencv_core opencv_highgui
  )
ELSE(APPLE)
  TARGET_LINK_LIBRARIES(${PROJECT_NAME}
                        ${QT_LIBRARIES}
                        ${QT_QTXML_LIBRARY}
                        ${QT_QTOPENGL_LIBRARIES} 
                        ${PKGCONFIG_LIBRARIES} ${PKGCONFIG_LDFLAGS_OTHER}
                        ${WIN_LIBS}
                        ${OPENSCENEGRAPH_LIBRARIES}
  )
ENDIF(APPLE)

#add_subdirectory(src/dialogs)


if(WIN32)
  set(LIB_INSTALL_DIR bin) # .dll are in PATH, like executables
else(WIN32)
  set(LIB_INSTALL_DIR lib)
endif(WIN32)

set(_INSTALL_DESTINATIONS
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION ${LIB_INSTALL_DIR}
	ARCHIVE DESTINATION lib
)

# Install the library
install(TARGETS ${PROJECT_NAME} ${_INSTALL_DESTINATIONS})

# Install headers into mars include directory
install(FILES ${HEADERS} DESTINATION include/mars/gui)

# export cmake variables to c/c++
configure_file(${CMAKE_SOURCE_DIR}/config.h.in ${CMAKE_BINARY_DIR}/config.h @ONLY)
include_directories("${CMAKE_BINARY_DIR}")

configure_file(configuration/${PROJECT_NAME}.pc.in ${CMAKE_BINARY_DIR}/${PROJECT_NAME}.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/${PROJECT_NAME}.pc DESTINATION lib/pkgconfig)

IF (WIN32)
  SET (POSTLIB ".dll")
  SET (PRELIB "lib")
  SET (LIBPATH "bin")
ELSE (WIN32)
  IF (APPLE)
    SET (POSTLIB ".dylib")
    SET (PRELIB "lib")
    SET (LIBPATH "lib")
  ELSE (APPLE)
    SET (POSTLIB ".so")
    SET (PRELIB "lib")
    SET (LIBPATH "lib")
  ENDIF (APPLE)
ENDIF (WIN32)


#CONFIGURE_FILE(configuration/dialog_config.in ${CMAKE_BINARY_DIR}/dialog_config.txt @ONLY)
#INSTALL(FILES ${CMAKE_BINARY_DIR}/dialog_config.txt DESTINATION configuration/mars-default/)
#configure_file(configuration/mars_Gui.in ${CMAKE_BINARY_DIR}/mars_Gui.yaml @ONLY)
#install(FILES ${CMAKE_BINARY_DIR}/mars_Gui.yaml DESTINATION configuration/mars_default/)

INSTALL(DIRECTORY resources DESTINATION share/mars/gui)

=== debian/changelog ===
rock-master-20.01-simulation-mars-gui (0.20200128-1~bionic) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-simulation/mars.git
  * branch: refs/heads/master
  * commit: e2777ed1040ed68ebc7f6d8076def4f6a860ba46
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Wed, 29 Jan 2020 19:56:54 +0100

=== debian/control ===
Source: rock-master-20.01-simulation-mars-gui
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, libopencv-dev, libqt4-dev, qt4-qmake, rock-master-20.01-simulation-lib-manager, rock-master-20.01-simulation-mars-common-data-broker, rock-master-20.01-simulation-mars-common-gui-main-gui, rock-master-20.01-simulation-mars-common-utils, rock-master-20.01-simulation-mars-interfaces
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-simulation-mars-gui
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-simulation-lib-manager, rock-master-20.01-simulation-mars-common-data-broker, rock-master-20.01-simulation-mars-common-gui-main-gui, rock-master-20.01-simulation-mars-common-utils, rock-master-20.01-simulation-mars-interfaces, cmake, libopencv-dev, libqt4-dev, qt4-qmake
Description: mars_gui
 DFKI Robot simulator GUI

=== debian/rules ===
#!/usr/bin/make -f

# BEGIN ENVIRONMENT SETUP
# https://www.debian.org/doc/debian-policy/ch-source.html
# nocheck: This tag says to not run any build-time test suite provided by the package.
export DEB_BUILD_OPTIONS=nocheck

# Setup of $(arch), $(rockruby_libdir) and $(rockruby_archdir)
arch=$(shell gcc -print-multiarch)
ruby_ver=$(shell ruby --version)
ruby_arch_dir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['archdir']")
ruby_libdir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']")
rockruby_archdir=$(subst /usr,,$(ruby_arch_dir))
rockruby_libdir=$(subst /usr,,$(ruby_libdir))
# Setup of paths: PATH,PKG_CONFIG_PATH,RUBYLIB,...
master2001_install_dir = /opt/rock/master-20.01
env_setup =  PATH=$(master2001_install_dir)/bin:$(PATH)
env_setup += RUBYLIB=$(master2001_install_dir)/$(rockruby_libdir):$(master2001_install_dir)/$(rockruby_archdir):$(master2001_install_dir)/lib/ruby/vendor_ruby/standard:$(master2001_install_dir)/lib/ruby/vendor_ruby/core:$(master2001_install_dir)/lib/ruby/vendor_ruby:$(RUBYLIB)
env_setup += PKG_CONFIG_PATH=$(master2001_install_dir)/lib/pkgconfig:$(master2001_install_dir)/lib/$(arch)/pkgconfig:/usr/share/pkgconfig:/usr/lib/$(arch)/pkgconfig:$(PKG_CONFIG_PATH)
env_setup += Rock_DIR=$(master2001_install_dir)/share/rock/cmake:$(Rock_DIR)
env_setup += LD_LIBRARY_PATH=$(master2001_install_dir)/lib:$(master2001_install_dir)/lib/$(arch):$(LD_LIBRARY_PATH)
env_setup += CMAKE_PREFIX_PATH=$(master2001_install_dir):$(CMAKE_PREFIX_PATH)
env_setup += OROGEN_PLUGIN_PATH=$(master2001_install_dir)/share/orogen/plugins:$(OROGEN_PLUGIN_PATH)
export TYPELIB_CXX_LOADER=castxml
export DEB_CPPFLAGS_APPEND=-std=c++11
export npm_config_cache=/tmp/npm
rock_library_dirs=$(master2001_install_dir)/lib:$(master2001_install_dir)/lib/$(arch):
rock_install_dir=/opt/rock/master-20.01
# Check if a python command is available and identify the version
# and identify the setup.py file
python_cmd=$(shell command -v python 2> /dev/null)
ifneq ("$(python_cmd)","")
python_version=$(shell python -c 'import sys; print "{0}.{1}".format(sys.version_info[0],sys.version_info[1])')
# Get dirname a setup.py match
python_setup_dir=$(shell find $(DEB_SRCDIR) -name setup.py | tail -n 1 | xargs dirname)
endif

DEB_VERBOSE_ALL=1
include /usr/share/cdbs/1/rules/debhelper.mk
extra_lib_dir=$(shell pwd)/debian/rock-master-20.01-simulation-mars-gui$(rock_install_dir)/lib
# This argument list is forwarded to dh_shlibdeps which takes the -l option and a colon separated list of libraries
# (not that this is different from the linker arguments)
DEB_DH_SHLIBDEPS_ARGS_ALL=-l$(extra_lib_dir):$(extra_lib_dir)/$(arch):$(rock_library_dirs)

rock_doc_install_dir=$(rock_install_dir)/share/doc/rock-master-20.01-simulation-mars-gui

pre-build::
	echo "Detected:"
	echo "   ruby version: $(ruby_ver)"
	echo "   ruby libdir: $(rockruby_libdir)"
	echo "   ruby archdir: $(rockruby_archdir)"

	#echo "Current directory:"
	#find .

# END ENVIRONMENT SETUP
######################################
# BEGIN OROGEN -- This block needs to be executed before CMAKE


# END OROGEN
######################################
# BEGIN CMAKE
#
# Defining the cmake command and setting the required enviroment variables
# PKG_CONFIG_PATH Resolve Rock package via pkg-config
# Rock_DIR Set to make sure find_package(Rock) does work
# ROCK_CMAKE_MACROS Used in some patches to set the CMAKE_MODULE_PATH, allowing to find Rock.cmake
CMAKE = $(env_setup) cmake
DEB_CMAKE_INSTALL_PREFIX = $(rock_install_dir)

# Debian packaging discourages the use of rpath, but
# cdbs actively sets CMAKE_SKIP_RPATH=ON, so reinforcing OFF here
DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_SKIP_RPATH=OFF
# Telling FindGEM.cmake to search for os packages using pkg-config and not for gems
DEB_CMAKE_EXTRA_FLAGS += -DGEM_OS_PKG=TRUE
# Leaving RUBY_EXECUTABLE unset since it maps to a path of the user executing the upload script
DEB_CMAKE_EXTRA_FLAGS += -DROCK="true" -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" -DROCK_USE_CXX11="ON"
# Disable ROCK Testing -- since running test on the OBS would require proper setting of path, etc. (see. data_processing/type_to_vector)
DEB_CMAKE_EXTRA_FLAGS += -DROCK_TEST_ENABLED=OFF -UROCK_TEST_LOG_DIR
include /usr/share/cdbs/1/class/cmake.mk

# END CMAKE
##########################################
# BEGIN AUTOTOOLS
#


# http://cdbs-doc.duckcorp.org/en/cdbs-doc.xhtml see post-configure actions
# replace all entries of -I with -I and -isystem in order to 
#   (a) guarantee that pkgconfig can still knowns the include directory (-I)
#   (b) the include directory is actually accounted for as system include directory (-isystem)
# Account for the fact, that configure is called multiple times e.g. revert changes first, then reapply
configure/rock-master-20.01-simulation-mars-gui::
	echo "Adapt -I to -isystem in pkgconfig files:"
	find . -name '[a-zA-Z]*.pc' -exec sh -c "echo Adapting {}; sed -i 's#\(\"\?\)-isystem[^ ]\+\1##g; s#\(\"\?\)-I\([^ ]\+\)\1#\1-I\2\1 \1-isystem\2\1#g; s#[ ]\+# #g' {}; cat {};" \;
	find . -name '[a-zA-Z]*.pc' -exec sh -c "echo Cleanup {}; sed -i 's#-isystem/usr/include # #g' {}; sed -i 's#-I/usr/include # #g' {}; cat {}" \;

###########################################
# DOCS


# Build docs
# This checks for Doxyfile and runs doxygen with that.
# Otherwise, it tries the "doc" target.
# Since docs are not critical, ignore failures('-' on recipe line start).
# The make call is supposed to be invoked even if -t or -n is selected,
# with the appropriate flags('+' on recipe line start)

common-build-arch common-build-indep:: debian/stamp-rock-doc
debian/stamp-rock-doc:
	-+$(DEB_MAKE_INVOKE) doc
	touch $@

common-install-arch common-install-indep:: common-install-rock-doc install-extensions
common-install-rock-doc::
	mkdir -p $(DEB_DESTDIR)$(rock_doc_install_dir)
	$(if $(wildcard $(DEB_SRCDIR)/doc/html),-cp -r "$(DEB_SRCDIR)/doc/html" "$(DEB_DESTDIR)$(rock_doc_install_dir)",$(if $(wildcard $(DEB_SRCDIR)/doc),-cp -r "$(DEB_SRCDIR)/doc" "$(DEB_DESTDIR)$(rock_doc_install_dir)"))
	$(if $(wildcard $(DEB_BUILDDIR)/doc/html),-cp -r "$(DEB_BUILDDIR)/doc/html" "$(DEB_DESTDIR)$(rock_doc_install_dir)",$(if $(wildcard $(DEB_BUILDDIR)/doc),-cp -r "$(DEB_BUILDDIR)/doc" "$(DEB_DESTDIR)$(rock_doc_install_dir)"))

install-extensions:: install-python
install-python::
ifneq ("$(python_setup_dir)","")
	echo "Installing python extension in $(python_setup_dir)"
	mkdir -p $(DEB_DESTDIR)$(rock_install_dir)/lib/python$(python_version)/site-packages
	cd $(python_setup_dir); $(python_cmd) setup.py build; PYTHONPATH=$(DEB_DESTDIR)$(rock_install_dir)/lib/python$(python_version)/site-packages/ $(python_cmd) setup.py install --prefix=$(DEB_DESTDIR)$(rock_install_dir); cd -
endif

clean::
	rm -f debian/stamp-rock-doc
	rm -rf $(DEB_SRCDIR)/doc/html


# END DOCS
###########################################

## rock-master-20.01-simulation-mars-gui 0.20200204

=== debian/changelog ===
rock-master-20.01-simulation-mars-gui (0.20200204-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-simulation/mars.git
  * branch: refs/heads/master
  * commit: beaf976db5e5205913276cb6ef78eb870ab8d1bf
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Thu, 13 Feb 2020 13:50:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rock-master-20.01-simulation-mars-gui
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
+Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
 Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, libopencv-dev, libqt4-dev, qt4-qmake, rock-master-20.01-simulation-lib-manager, rock-master-20.01-simulation-mars-common-data-broker, rock-master-20.01-simulation-mars-common-gui-main-gui, rock-master-20.01-simulation-mars-common-utils, rock-master-20.01-simulation-mars-interfaces
 Standards-Version: 3.9.2
 Homepage: http://www.rock-robotics.org
